> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oryntai.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List Available Models



## OpenAPI

````yaml GET /api/v1/ai/models
openapi: 3.0.0
info:
  title: Orynt API
  description: API documentation for the Orynt x402 ai api wrapper
  version: '1.0'
  contact: {}
servers:
  - url: https://api.oryntai.xyz/
    description: Base URL
security: []
tags: []
paths:
  /api/v1/ai/models:
    get:
      tags:
        - Ai
      summary: List all available AI models
      operationId: AiController_listModels
      parameters:
        - name: provider
          in: query
          required: false
          description: Filter models by provider
          schema:
            type: string
      responses:
        '200':
          description: List of AI models
          content:
            application/json:
              examples:
                modelListExample:
                  summary: Example models response
                  value:
                    - name: gpt-4.1
                      provider: OpenAI
                      type: chat
                    - name: dall-e-3
                      provider: OpenAI
                      type: image
                    - name: text-embedding-3-small
                      provider: OpenAI
                      type: embedding

````